#Right after install
if [ -f ${PREFIX}/param/.param.pyciao ] ; then
  #If the parameter file manifest exists, 
  # remove the write permissions on those files
  cat ${PREFIX}/param/.param.pyciao |
  while read FILE dummy ; do
    chmod -R 444 $PREFIX/param/${FILE}
  done
fi

#Re-index Ahelp files
if [ "x$ASCDS_INSTALL" != "x" ] && [ "x${SKIP_AHELP_INDEXING}" != "xy" ] ; then
  which ahelp
  if [ "$?" = "0" ] ; then
    ahelp -r
  else
    echo "ahelp was not available while attempting to re-index. Please run: $> ahelp -r" >> $PREFIX/.messages.txt
  fi
elif [ "x${SKIP_AHELP_INDEXING}" != "xy" ] ; then
  echo "CIAO was not active while attempting to re-index. Please run: $> ahelp -r" >> $PREFIX/.messages.txt
fi
